#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private ChartSpots.DivergentBars[] cacheDivergentBars;

		
		public ChartSpots.DivergentBars DivergentBars()
		{
			return DivergentBars(Input);
		}


		
		public ChartSpots.DivergentBars DivergentBars(ISeries<double> input)
		{
			if (cacheDivergentBars != null)
				for (int idx = 0; idx < cacheDivergentBars.Length; idx++)
					if ( cacheDivergentBars[idx].EqualsInput(input))
						return cacheDivergentBars[idx];
			return CacheIndicator<ChartSpots.DivergentBars>(new ChartSpots.DivergentBars(), input, ref cacheDivergentBars);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.ChartSpots.DivergentBars DivergentBars()
		{
			return indicator.DivergentBars(Input);
		}


		
		public Indicators.ChartSpots.DivergentBars DivergentBars(ISeries<double> input )
		{
			return indicator.DivergentBars(input);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.ChartSpots.DivergentBars DivergentBars()
		{
			return indicator.DivergentBars(Input);
		}


		
		public Indicators.ChartSpots.DivergentBars DivergentBars(ISeries<double> input )
		{
			return indicator.DivergentBars(input);
		}

	}
}

#endregion
